#! /bin/bash

# Ncurses/GPM, pam/caps, pkgconfig/glib circular dependency
if [ ! /usr/bin/pkg-config ]; then
    USE="${USE} -gpm" emerge -1 ncurses
    USE="${USE} -filecaps" emerge -1 pam
    USE="${USE} internal-glib" emerge -1 pkgconfig
fi

# Some applications requires latest version of OpenCL standard, intel provides one
[ -f /etc/OpenCL/vendors/intelocl64.icd ] || emerge -u1 intel-ocl-sdk && eselect opencl set intel

# Preparing kernel
[ -f /usr/src/linux/.config ] || emerge -1 gentoo-sources && yes "" |  make -C /usr/src/linux oldconfig

# Unmerge
#emerge --depclean -a

# Perl 
#emerge -u -1 -O perl  
#emerge -C sys-apps/texinfo app-text/po4a $(eix '-I#' virtual/perl-*)  $(eix '-I#' dev-perl/*)
